Subject: Re: How do I make git-format-patch reject 8-bit encodings?

From: Timur Tabi <[email-masked]>
Date: Tue, 22 Feb 2011 08:49:03 -0600

Jeff King wrote:
> Can you provide an example of a message that is base64-encoded? I didn't
> think we base64-encoded anything in send-email (we do rfc2047-encode
> 8-bit header lines, but using quoted-printable). And looking through it,
> I don't see any code to do so.

I can forward to you the original email that is base64-encoded, but I cannot
reproduce the problem.  Even when I take that patch, apply it with git-am and
recreate it with git-format-patch, when I sent that recreate patch with
git-send-email, it is not base64 encoded.

> It's possible that I'm missing the code. Or that one of the underlying
> modules is doing it for us. Or it's possible that one of the SMTP
> servers in your route is doing it.

It is possible that our mail server is doing it.  We recently migrated to the
"Microsoft cloud" email service, and we've experienced all sorts of odd problems
with mailing patches.

> If you can send an example of original format-patch output that you fed
> to git-send-email, and the resulting mail that was delivered, then we
> can know more.

I don't know if I can still get the original patch that was encoded.

> I have a suspicion it is the last one (some MTA doing it), because git
> tends to generate messages with an 8bit transfer encoding. If we hit a
> server that doesn't advertise support for 8BIT SMTP extensions, I
> believe the sending MTA is required to encode (or bounce). That would
> also account for the inconsistency you noted. It depends on the
> recipient and the exact route of SMTP servers in the delivery.

Ah, this might be a clue.  I will do more research and get back to you.

-- 
Timur Tabi
Linux kernel developer at Freescale